# SIPTransactionOwner Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPTransactionOwner:

[legend]
Collaboration diagram for SIPTransactionOwner:
[legend]

## Public Member Functions

| SIPTransactionOwner (PSafeObject &object, SIPEndPoint &endpoint)
virtual | ~SIPTransactionOwner ()
virtual PString | GetAuthID () const =0
virtual PString | GetPassword () const
virtual unsigned | GetAllowedMethods () const
virtual void | OnStartTransaction (SIPTransaction &)
virtual void | OnReceivedResponse (SIPTransaction &transaction, SIP_PDU &response)
virtual void | OnTransactionFailed (SIPTransaction &transaction)
void | FinaliseForking (SIPTransaction &transaction, SIP_PDU &response)
bool | CleanPendingTransactions ()
void | AbortPendingTransactions (bool all=true)
virtual SIP_PDU::StatusCodes | StartTransaction (const OpalTransport::WriteConnectCallback &function)
SIP_PDU::StatusCodes | SwitchTransportProto (const char *proto, OpalTransportPtr *transport)
SIP_PDU::StatusCodes | HandleAuthentication (const SIP_PDU &response)
SIPEndPoint & | GetEndPoint () const
OpalTransportAddress | GetRemoteTransportAddress () const
const SIPURL & | GetRequestURI () const
const SIPURL & | GetRemoteURI () const
const SIPURL & | GetProxy () const
const PString & | GetInterface () const
void | ResetInterface ()
PINDEX | GetDNSEntry () const
SIPAuthentication * | GetAuthenticator () const
SIPDialogContext & | GetDialog ()
const SIPDialogContext & | GetDialog () const

## Protected Attributes

PSafeObject & | m_object
SIPEndPoint & | m_endpoint
SIPDialogContext | m_dialog
PINDEX | m_dnsEntry
SIPAuthentication * | m_authentication
unsigned | m_authenticateErrors
PSafeList< SIPTransaction > | m_transactions
PMutex | m_forkMutex

## Friends

class | SIPTransaction

## Constructor & Destructor Documentation

SIPTransactionOwner::SIPTransactionOwner | ( | PSafeObject & | object,
|  | SIPEndPoint & | endpoint |
| ) |  |  |

virtual SIPTransactionOwner::~SIPTransactionOwner | ( |  | ) | `[virtual]`

## Member Function Documentation

void SIPTransactionOwner::AbortPendingTransactions | ( | bool | all = `true` | ) |

bool SIPTransactionOwner::CleanPendingTransactions | ( |  | ) |

void SIPTransactionOwner::FinaliseForking | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  |

virtual unsigned SIPTransactionOwner::GetAllowedMethods | ( |  | ) | const`[virtual]`

Reimplemented in SIPConnection.

SIPAuthentication* SIPTransactionOwner::GetAuthenticator | ( |  | ) | const`[inline]`

Reimplemented in SIPConnection.

virtual PString SIPTransactionOwner::GetAuthID | ( |  | ) | const`[pure virtual]`

Implemented in SIPHandler, and SIPConnection.

const SIPDialogContext& SIPTransactionOwner::GetDialog | ( |  | ) | const`[inline]`

SIPDialogContext& SIPTransactionOwner::GetDialog | ( |  | ) | `[inline]`

PINDEX SIPTransactionOwner::GetDNSEntry | ( |  | ) | const`[inline]`

SIPEndPoint& SIPTransactionOwner::GetEndPoint | ( |  | ) | const`[inline]`

Reimplemented in SIPConnection.

const PString& SIPTransactionOwner::GetInterface | ( |  | ) | const`[inline]`

virtual PString SIPTransactionOwner::GetPassword | ( |  | ) | const`[inline, virtual]`

Reimplemented in SIPHandler.

const SIPURL& SIPTransactionOwner::GetProxy | ( |  | ) | const`[inline]`

OpalTransportAddress SIPTransactionOwner::GetRemoteTransportAddress | ( |  | ) | const`[inline]`

const SIPURL& SIPTransactionOwner::GetRemoteURI | ( |  | ) | const`[inline]`

const SIPURL& SIPTransactionOwner::GetRequestURI | ( |  | ) | const`[inline]`

SIP_PDU::StatusCodes SIPTransactionOwner::HandleAuthentication | ( | const SIP_PDU & | response | ) |

virtual void SIPTransactionOwner::OnReceivedResponse | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented in SIPHandler, and SIPConnection.

virtual void SIPTransactionOwner::OnStartTransaction | ( | SIPTransaction & |  | ) | `[inline, virtual]`

Reimplemented in SIPConnection.

virtual void SIPTransactionOwner::OnTransactionFailed | ( | SIPTransaction & | transaction | ) | `[virtual]`

Reimplemented in SIPHandler, and SIPConnection.

void SIPTransactionOwner::ResetInterface | ( |  | ) | `[inline]`

virtual SIP_PDU::StatusCodes SIPTransactionOwner::StartTransaction | ( | const OpalTransport::WriteConnectCallback & | function | ) | `[virtual]`

SIP_PDU::StatusCodes SIPTransactionOwner::SwitchTransportProto | ( | const char * | proto,
|  | OpalTransportPtr * | transport |
| ) |  |  |

## Friends And Related Function Documentation

friend class SIPTransaction `[friend]`

Reimplemented in SIPConnection.

## Field Documentation

unsigned SIPTransactionOwner::m_authenticateErrors `[protected]`

SIPAuthentication* SIPTransactionOwner::m_authentication `[protected]`

SIPDialogContext SIPTransactionOwner::m_dialog `[protected]`

PINDEX SIPTransactionOwner::m_dnsEntry `[protected]`

SIPEndPoint& SIPTransactionOwner::m_endpoint `[protected]`

PMutex SIPTransactionOwner::m_forkMutex `[protected]`

PSafeObject& SIPTransactionOwner::m_object `[protected]`

PSafeList<SIPTransaction> SIPTransactionOwner::m_transactions `[protected]`

The documentation for this class was generated from the following file:

- sippdu.h